Spline-fit Polylines and NENTSEL

Topics relating to AutoLisp and SDS.

Moderators: CMS Inc, avaernes

Post Reply
Jim Frame
Newbie
Posts: 3
Joined: Tue Jul 09, 2013 9:42 am

Spline-fit Polylines and NENTSEL

Post by Jim Frame » Wed Jul 10, 2013 7:17 pm

I'm running into an apparent difference in the way that AutoCAD 2013 and IntelliCAD v7.2 Pro handle spline-fit polylines. Here's what happens when I apply the NENTSEL function to the same polyline before spline-fitting, in both AutoCAD and IntelliCAD:

AutoCAD 2013:

Command: (entget (car (nentsel)))

Select object: mid
of ((-1 . <Entity name: 7ffff336510>) (0 . "VERTEX") (330 . <Entity name: 7ffff3364d0>) (5 . "1FE9") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDbVertex") (100 . "AcDb2dVertex") (10 10.0 0.0 0.0) (40 . 0.0) (41 . 0.0) (42 . 0.0) (91 . 0) (70 . 0) (50 . 0.0))

IntelliCAD 7.2 Pro:

Command: (entget (car (nentsel)))
Select entity: mid
Snap to MID of: ((-1 . <Entity name: 2d1ec3a8>) (0 . "VERTEX") (5 . "10D08") (330 . <Entity name: 2d13a620>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDbVertex") (100 . "AcDb2dVertex") (10 10.00 0.00 0.00) (40 . 0.00) (41 . 0.00) (42 . 0.00) (70 . 0) (50 . 0.00))

In both cases, the result is essentially the same and as expected.

Now I spline-fit both polylines, then apply the same function:

AutoCAD 2013:

Command: (entget (car (nentsel)))

Select object: mid
of ((-1 . <Entity name: 7ffff3365a0>) (0 . "VERTEX") (330 . <Entity name: 7ffff3364d0>) (5 . "1FF2") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDbVertex") (100 . "AcDb2dVertex") (10 9.77539 6.9043 0.0) (40 . 0.0) (41 . 0.0) (42 . 0.0) (91 . 0) (70 . 8) (50 . 0.0))

IntelliCAD v2.7 Pro:

Command: (entget (car (nentsel)))
Select entity: mid
Snap to MID of:
ERROR: bad argument type

For my applications I need to be able to find the beginning vertex of the segment of the spline-fit polyline closest to the pick point. NENTSEL has worked fine for this in AutoCAD, but it's not working for me in IntelliCAD.

Suggestions?

Thanks!
Post Reply